Page MenuHomePhabricator

TextInputWidget autosizing no longer works on Firefox
Closed, ResolvedPublic

Description

TextInputWidget autosizing no longer works on Firefox. The DOMNodeInsertedIntoDocument is never fired, and so the size is never updated.

This is probably a regression in 0.6.4 from 4b42fbe4f5ad806d0bb82c0793f028280ac1a16d (https://gerrit.wikimedia.org/r/#/c/187604/).

Event Timeline

matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added projects: OOUI, Regression.
matmarex added a subscriber: matmarex.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 31 2015, 12:16 PM
matmarex claimed this task.Feb 1 2015, 12:59 PM
matmarex triaged this task as Unbreak Now! priority.
matmarex moved this task from Backlog to Next-up on the OOUI board.
gerritbot added a subscriber: gerritbot.

Change 187954 had a related patch set uploaded (by Bartosz Dziewoński):
TextInputWidget: Mostly revert "Don't try adjusting size when detached"

https://gerrit.wikimedia.org/r/187954

Patch-For-Review

Mooeypoo moved this task from Next-up to Doing on the OOUI board.Feb 2 2015, 9:44 PM

Change 187954 merged by jenkins-bot:
TextInputWidget: Mostly revert "Don't try adjusting size when detached"

https://gerrit.wikimedia.org/r/187954

Jdforrester-WMF closed this task as Resolved.Feb 2 2015, 11:43 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Mar 26 2015, 8:56 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJun 3 2017, 3:59 PM